package com.yonge.cooleshow.enums;


/**
 * 交易状态 pending 交易处理中 succeeded 交易成功 failed 交易失败
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum PayStatusEnum{
    pending("pending","交易处理中"),
    succeeded("succeeded","交易成功"),
    failed("failed","交易失败")
    ;
    private String code;
    private String msg;

    PayStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }
}
